Subject: endian

From: [email-masked] (Charles Perkins)
Date: Thu, 24 Jun 93 13:39:15 -0600

Tests great!  Less swapping!  Tests great!  Less swapping!

um...

I favor big endian for the mips project for two reasons:

1. Binary compatibility hacks with other Mips systems will be
   impossible or incredibly difficult otherwise.

2. It would be a very good idea to leverege off the architectural independence
   work of the 68000 port.  I am not talking about a port of their port, rather
   that we work in tandem with them in building a portable linux source tree.
   And the neat thing is, they're allready dealing with the little-big-endian 
   issue.

3. I like big-endian.  (Not a reason.  A bias.)

The problem I see is with interfacing with the ISA bus.  The software will have to know how to
deal with the endianness, or there will have to be a hardware swap.
Does the nifty bus controller already deal with that?
How much more difficult would this make writing device drivers?

If SCSI, ethernet and video are on the motherboard, I think that we don't need to invent
another super-nifty multi-cool expansion slot system. 

a) that is hard
b) we probably wouldn't get it right the first time
c) most of the fast stuff is already on the motherboard

I agree that an ISA bus would be neat and allow us to put lots of 
clone cards in the system, but I could live even without this.

However, I feel that we should run every line going to the cpu also
to some sort of connector.  Just one.  A bunch of other signals can
go to/come from this slot, but the important thing is to allow
someone else, later, to put a daughter card there that perhaps 
can do the nifty bus stuff, or whatever.  Perhaps someone
would like to make an AXP daughtercard.  Or a 486 card to allow
running of Linux binaries.  Make it simple.  Don't worry about
how others might use it.  And the great thing is, it is just
the cost of a (perhaps very big) connector.  Cheap.  Which I 
appreciate.